org.firebirdsql.management

## Class StatisticsManager.DatabaseTransactionInfo

- java.lang.Object
- - org.firebirdsql.management.StatisticsManager.DatabaseTransactionInfo

Enclosing interface:
  StatisticsManager

    public static final class StatisticsManager.DatabaseTransactionInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DatabaseTransactionInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getActiveTransactionCount()`
`long` `getNextTransaction()`
`long` `getOldestActiveTransaction()`
`long` `getOldestSnapshotTransaction()`
`long` `getOldestTransaction()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabaseTransactionInfo

    public DatabaseTransactionInfo()

### Method Detail

#### getOldestTransaction

    public long getOldestTransaction()

#### getOldestActiveTransaction

    public long getOldestActiveTransaction()

#### getOldestSnapshotTransaction

    public long getOldestSnapshotTransaction()

#### getNextTransaction

    public long getNextTransaction()

#### getActiveTransactionCount

    public long getActiveTransactionCount()

Returns:
  active transaction count; `-1` means that this information wasn't retrieved (Firebird 1.5 and lower)